<?php

add_action('admin_menu', 'vl_create_menu');

function vl_create_menu() {
  add_options_page('Verse Links Settings', 'Verse Links', 8, basename(__FILE__), 'vl_options');

  add_action( 'admin_init', 'vl_register_settings' );
}

function vl_register_settings() {
  register_setting( 'vl-settings-group', 'vl_preferred_website' );
  register_setting( 'vl-settings-group', 'vl_new_window' );
}



function vl_options() {
  global $vl_sites;
?>


<div class="wrap">
  <h2>Verse Links Settings</h2>
  <form method="post" action="options.php"> 
    <?php
      settings_fields( 'vl-settings-group' );
      do_settings_fields( 'vl-settings-group' );
    ?>

    <table class="form-table">
      <tr valign="top">
        <th scope="row">Open Links in New Window</th>
        <td><select name="vl_new_window">
          <option value="true">Yes</option>
          <option value="false" <?php if (get_option('vl_new_window')=="false") echo " selected=\"true\"";?> >No</option>
        </select></td>
      </tr>
      <tr valign="top">
        <th scope="row">Preferred Website</th>
        <td><select name="vl_preferred_website">
          <?php
            $savedSite = get_option('vl_preferred_website');
            foreach ($vl_sites as $vl_site)
            {
              echo "<option";
              if ($vl_site==$savedSite) echo " selected=\"true\"";
              echo ">" . $vl_site . "</option>";
            }
          ?>
	</select></td>
      </tr>
    </table>

    <p class="submit">
      <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>
  </form>
</div>

<?php } ?>